Aller au contenu

Mettre le contenu d\'un calque au premier plan


barbichette
 Partager

Messages recommandés

Bonjour,

 

Je souhaiterai faire une macro qui fasse la chose suivante :

- le contenu du calque "! Blanc épais" est mis au premier plan

- les contenus de tous les autres calques sont mis au second plan (sans criètre de priorité entre eux)

 

Comment faire ?

et surtout quelle serait la syntaxe d'une telle macro

 

merci

 

[Edité le 21/8/2008 par barbichette]

***********************

Rien ne sert de courrir, il faut partir à point.

Lien vers le commentaire
Partager sur d’autres sites

  • Réponses 51
  • Créé
  • Dernière réponse

Meilleurs contributeurs dans ce sujet

Bonjour,

 

qu'est ce que tu entends par macro ?

ça peut être du Diesel pour mettre dans un bouton

dans ce cas RebCao,

le spécialiste dans l'hémisphère nord te répondra certainement

 

si c'est en Lisp, reviens à la charge et on va faire quelque chose pour toi.

 

amicalement

Lien vers le commentaire
Partager sur d’autres sites

re bonjour,

 

en attendant les réponses qui viennent de l'Est

 

 

Hey ! Doucement avec l'Est !

c'est une très belle région

 

Je suis Aussi de Strasbourg....... Mort de rire

 

non sans blague, merci beaucoup de vos réponse,

je vais tester tout ça, et je vous tient au courant.

***********************

Rien ne sert de courrir, il faut partir à point.

Lien vers le commentaire
Partager sur d’autres sites

hello

 

en attendant les réponses qui viennent de l'Est

 

si j'ai bien tout suivi dans mes nombreuses lectures

 

didier n'est pas a l'est mais a l'est de l'est de l'est de l'est

tellement qu'il en serait meme rendu a l'ouest

( tu l'as eu ton entrecote saignante sauce rochefort ?)

 

ha mince un message de plus qui pourri le site

 

phil

Autodesk Architecture 2023 sous windows 11 64

24 pouces vertical + 30 pouces horizontal + 27 pouces horizontal

Lien vers le commentaire
Partager sur d’autres sites

Bonjour à tous,

 

ci dessous une macro à mettre dans un bouton.

 

Il faut remplacer CALQUE1 par le nom de ton calque.

 

^C^C-calque;état;E;ordre;;;établir; CALQUE1;g;*;;ordretrace;tout;;AV;-calque;état;R;ordre;S;ordre;;;

 

A+

 

ca marche si le calque porte un nom simple (blanc par ex), mais étant donné que mon calque se nomme

! Blanc épais

Comment faire pour que cela marche ?

 

PS : Je suis exactement de Neudorf, et je bosse à Lingolsheim..

***********************

Rien ne sert de courrir, il faut partir à point.

Lien vers le commentaire
Partager sur d’autres sites

coucou

 

les forums de CadXp vont devenir le salon de coiffure du coin,

on va s'échanger les "voici" et les dernières nouvelles des expatriés

 

non,non, et toujours non, pas de Roquefort pas d'entrecôte

ici, c'est du zébu et en plus il n'y a pas de fromages

 

heureusement, il fait beau

 

amicalement

Lien vers le commentaire
Partager sur d’autres sites

Merci, merci, Didier de penser à moi...

 

Aller ce coup ci, je t'offre un Morceau de CHATEAUBRIAND sauce Béarnaise !!!

 

Voici la réponse de l' EST , où c'est plutôt chaud, très chaud en ce moment pour certains plus à l'EST ! :(

 

Voici deux Macros, une pour mettre le calque Sélectionné (par l'objet sélectionné) en AVANT et l'autre mettre le calque Sélectionné en ARRIERE ! J'ai choisi le principe de sélectionner l'objet à l'écran qui appartient au calque en question...

 

CALQUE AVANT

 

[surligneur] *^C^Cexpert;5;_-VIEW;SA;GOTOP;;P;L;GOTOP;E;;;expert;2;_Laymcur;\_-layer;G;*;;ordretrace;tout;;AV;_-view;R;GOTOP;_REGENALL;[/surligneur]

 

 

CALQUE ARRIERE

 

[surligneur] *^C^Cexpert;5;_-VIEW;SA;GOTOP;;P;L;GOTOP;E;;;expert;2;_Laymcur;\_-layer;G;*;;ordretrace;tout;;AR;_-view;R;GOTOP;_REGENALL;[/surligneur]

 

 

c'est de l'improvisation pur j'ai à peine testé... Voir ce que ça donne sur un gros dessin !

 

En cas de problème, lié au COPIER-COLLER de ces MACROS, voici un fichier TEXTE contenant les 2 macros.

 

à votre service pour les détails... Mais là c'est plus le même TARIF :(

 

Christian qui adore aussi le ChateauBriand !

 

 

[Edité le 20/8/2008 par rebcao]

Formateur, Consultant Expert AutoCAD, REVIT MEP, INVENTOR, télécharger , des Outils AutoCAD...

cad123 @ wanadoo.fr (enlever les espaces de part et d'autre de @)

Lien vers le commentaire
Partager sur d’autres sites

Essaie ces morceau de code en autolisp, ils marchent bien.

Tapez calav pour mettre le contenu d'un calque en avant et calar pour le mettre en arrière plan.

;;met le contenu d'un calque au premier plan

(defun c:calav (/ ent)

(if (setq ent (car

(entsel "\nSélectionnez un objet sur le calque cible à mettre au premier plan: ")

)

)

(sssetfirst nil (ssget "_X" (list (assoc 8 (entget ent)))))

)

(command "ordretrace" "av""")

(princ)

)

 

 

;;met le contenu 'un calque en arrière plan

(defun c:calar (/ ent)

(if (setq ent (car

(entsel "\nSélectionnez un objet sur le calque cible à mettre au dernier plan: ")

)

)

(sssetfirst nil (ssget "_X" (list (assoc 8 (entget ent)))))

)

(command "ordretrace" "ar""")

(princ)

)

 

[Edité le 18/8/2008 par grid1334]

Lien vers le commentaire
Partager sur d’autres sites

Bonjour à toutes et à tous,

 

Bienvenue grid1334,

 

Pas mal le principe de ces routines mais ne fonctionnent pas chez moi (V2008 pleine) =>

 

Commande:

Commande: calar

Sélectionnez un objet sur le calque cible à mettre au dernier plan: ordretrace

Entrez une option de disposition d'objets [Dessus/dEssous/AVant/ARrière]

: ar

Commande: CALAR Commande inconnue "CALAR". Appuyez sur F1 pour obtenir de

l'aide.

Commande:

Commande:

Commande:

Commande: calav

Sélectionnez un objet sur le calque cible à mettre au premier plan: ordretrace

Entrez une option de disposition d'objets [Dessus/dEssous/AVant/ARrière]

: av

Commande: CALAV Commande inconnue "CALAV". Appuyez sur F1 pour obtenir de

l'aide.

Commande:

 

Pourtant, la fonction se lance et j'ai même l'impression qu'elle a fonctionnée quelque fois,.... ???!!!

 

Merci d'avance,

Civil 3D 2023 - COVADIS_18.0a

https://www.linkedin...3%ABt-95313341/

Lien vers le commentaire
Partager sur d’autres sites

En effet cela marche jusqu'à la version 2007, mais la 2008 non, j'ai corrigé le code, en fait cette version est moins permissive au niveau de la mise en forme.

J'ai viré des espaces et mis en forme le code avec l'éditeur visual lisp, ça marche maintenant sur la 2008.

 

;;selectionne tous les objets d'un calque et les met au premier plan

 

(defun c:calav (/ ent)

(if (setq ent (car

(entsel "\nSélectionnez un objet sur le calque cible: ")

)

)

(sssetfirst nil (ssget "_X" (list (assoc 8 (entget ent)))))

)

(command "ordretrace""AV""")

(princ)

)

 

(defun c:calar (/ ent)

(if (setq ent (car

(entsel "\nSélectionnez un objet sur le calque cible: ")

)

)

(sssetfirst nil (ssget "_X" (list (assoc 8 (entget ent)))))

)

(command "ordretrace""AR""")

(princ)

)

 

Lien vers le commentaire
Partager sur d’autres sites

Bonjour à toutes et tous,

 

Désolé grid1334, j'ai toujours ce message =>

 

Commande:

Commande: calav

Sélectionnez un objet sur le calque cible: ordretrace

Entrez une option de disposition d'objets [Dessus/dEssous/AVant/ARrière]

: AV

Commande: CALAV Commande inconnue "CALAV". Appuyez sur F1 pour obtenir de

l'aide.

Commande:

Commande:

Commande:

Commande: calar

Sélectionnez un objet sur le calque cible: ordretrace

Entrez une option de disposition d'objets [Dessus/dEssous/AVant/ARrière]

: AR

Commande: CALAR Commande inconnue "CALAR". Appuyez sur F1 pour obtenir de

l'aide.

Commande:

?????!!!

Civil 3D 2023 - COVADIS_18.0a

https://www.linkedin...3%ABt-95313341/

Lien vers le commentaire
Partager sur d’autres sites

Re,

 

Oups, désolé Christian,...

 

Comment fonctionnent ces macros ?

 

J'ai des options plutôt bizarre pour ce que l'on recherche ici !

 

Exemple =>

 

Commande:

Commande:

Commande: expert

Entrez une nouvelle valeur pour EXPERT : 5

Commande: _-VIEW

Entrez une option [?/SUpprimer/orthoGonal/Rappel/SAuver/Paramètres/Fenêtre]: SA

Entrez le nom de la vue à enregistrer: GOTOP

Commande:

-VUE Entrez une option

[?/SUpprimer/orthoGonal/Rappel/SAuver/Paramètres/Fenêtre]: P

Entrez une option [aRrière-plan/Classer par catégories/cliché des caLques/COupe

3D/SCu/STyle visuel]: L

Entrez un nom de vue dont le cliché des calques doit être modifié ou [?]: GOTOP

Entrez une option [Enregistrer/Supprimer] : E

Entrez une option [aRrière-plan/Classer par catégories/cliché des caLques/COupe

3D/SCu/STyle visuel]:

Entrez une option [?/SUpprimer/orthoGonal/Rappel/SAuver/Paramètres/Fenêtre]:

Commande: expert

Entrez une nouvelle valeur pour EXPERT : 2

Commande: _Laymcur

Sélectionnez l'objet dont le calque va devenir le calque courant:

BAC TRACE est maintenant le calque courant.

Commande: _-layer

Calque courant: "BAC TRACE"

Entrez une option

[?/Etablir/CHoisir/Nouv/ACtif/INactif/COuleur/TLigne/EPaisseurl/MAtériau/Tracé/S

Tracé/Geler/Libérer/Verrouiller/Déverrouiller/étAt]: G

Entrer la liste des noms de calque de geler ou : *

Impossible de geler le calque "BAC TRACE". Il s'agit du calque COURANT.

Entrez une option

[?/Etablir/CHoisir/Nouv/ACtif/INactif/COuleur/TLigne/EPaisseurl/MAtériau/Tracé/S

Tracé/Geler/Libérer/Verrouiller/Déverrouiller/étAt]:

Commande: ordretrace

Choix des objets: tout

764 trouvé(s)

Choix des objets:

Entrez une option de disposition d'objets [Dessus/dEssous/AVant/ARrière]

: AV

Commande: _-view

Entrez une option [?/SUpprimer/orthoGonal/Rappel/SAuver/Paramètres/Fenêtre]: R

Entrez le nom de la vue à restaurer: GOTOP

Régénération du modèle.

Commande: REGENALL

Commande inconnue "REGENALL". Appuyez sur F1 pour obtenir de l'aide.

Commande:

-VUE Entrez une option

[?/SUpprimer/orthoGonal/Rappel/SAuver/Paramètres/Fenêtre]: F

Entrez le nom de la vue à enregistrer: test

Spécifiez le premier coin: Spécifiez le coin opposé:

Commande:

Commande:

Commande: expert

Entrez une nouvelle valeur pour EXPERT : 5

Commande: _-VIEW

Entrez une option [?/SUpprimer/orthoGonal/Rappel/SAuver/Paramètres/Fenêtre]: SA

Entrez le nom de la vue à enregistrer: GOTOP

Commande:

-VUE Entrez une option

[?/SUpprimer/orthoGonal/Rappel/SAuver/Paramètres/Fenêtre]: P

Entrez une option [aRrière-plan/Classer par catégories/cliché des caLques/COupe

3D/SCu/STyle visuel]: L

Entrez un nom de vue dont le cliché des calques doit être modifié ou [?]: GOTOP

Entrez une option [Enregistrer/Supprimer] : E

Entrez une option [aRrière-plan/Classer par catégories/cliché des caLques/COupe

3D/SCu/STyle visuel]:

Entrez une option [?/SUpprimer/orthoGonal/Rappel/SAuver/Paramètres/Fenêtre]:

Commande: expert

Entrez une nouvelle valeur pour EXPERT : 2

Commande: _Laymcur

Sélectionnez l'objet dont le calque va devenir le calque courant:

BAC TRACE est maintenant le calque courant.

Commande: _-layer

Calque courant: "BAC TRACE"

Entrez une option

[?/Etablir/CHoisir/Nouv/ACtif/INactif/COuleur/TLigne/EPaisseurl/MAtériau/Tracé/S

Tracé/Geler/Libérer/Verrouiller/Déverrouiller/étAt]: G

Entrer la liste des noms de calque de geler ou : *

Impossible de geler le calque "BAC TRACE". Il s'agit du calque COURANT.

Entrez une option

[?/Etablir/CHoisir/Nouv/ACtif/INactif/COuleur/TLigne/EPaisseurl/MAtériau/Tracé/S

Tracé/Geler/Libérer/Verrouiller/Déverrouiller/étAt]:

Commande: ordretrace

Choix des objets: tout

764 trouvé(s)

Choix des objets:

Entrez une option de disposition d'objets [Dessus/dEssous/AVant/ARrière]

: AV

Commande: _-view

Entrez une option [?/SUpprimer/orthoGonal/Rappel/SAuver/Paramètres/Fenêtre]: R

Entrez le nom de la vue à restaurer: GOTOP

Régénération du modèle.

Commande: REGENALL

Commande inconnue "REGENALL". Appuyez sur F1 pour obtenir de l'aide.

Commande:

-VUE Entrez une option

[?/SUpprimer/orthoGonal/Rappel/SAuver/Paramètres/Fenêtre]: P

Entrez une option [aRrière-plan/Classer par catégories/cliché des caLques/COupe

3D/SCu/STyle visuel]: R

Entrez le nom de la vue pour modifier l'arrière-plan ou [?]: ?

Entrez le nom de la vue à répertorier :

Vues enregistrées:

Nom de la vue Espace

"-1a" o

"-1b" o

"-1c" o

"-1d" o

"-1e" o

"01" o

"02" o

"03" o

"04" o

"05" o

"06" o

"07" o

"08" o

"09" o

"10" o

"11" o

"12" o

"13" o

 

Etc,etc,...

 

L'idée de grid1334 est plutôt séduisante : On selectionne une entité du calque que l'on veut passer en avant ou arrière plan,...

 

Christian, est-ce que tes macros répondent à ce souhait ?

 

Merci d'avance,

Civil 3D 2023 - COVADIS_18.0a

https://www.linkedin...3%ABt-95313341/

Lien vers le commentaire
Partager sur d’autres sites

Visiblement, dans la Macro du message il y a curieusement un ESPACE qui n'existe pas !!!

 

après _-Layer;G;* [surligneur] _[/surligneur];;!!! J'ai édité mon messaage PAS D'ESPACE !!! :(

 

c'est pour ça que j'ai ajouté le lien vers un fichier TEXTE. Utilises plutôt ce lien.

 

Christian

Formateur, Consultant Expert AutoCAD, REVIT MEP, INVENTOR, télécharger , des Outils AutoCAD...

cad123 @ wanadoo.fr (enlever les espaces de part et d'autre de @)

Lien vers le commentaire
Partager sur d’autres sites

Rere,

 

Dans le doute, j'ai fais ce que tu préconises et même sur une nouvelle session AutoCAD, j'ai toujours ce message =>

 

Commande:

Commande:

CALAV

Sélectionnez un objet sur le calque cible: ordretrace

Entrez une option de disposition d'objets [Dessus/dEssous/AVant/ARrière]

: AV

Commande: CALAV Commande inconnue "CALAV". Appuyez sur F1 pour obtenir de

l'aide.

Commande:

Commande:

Commande:

Commande: calar

Sélectionnez un objet sur le calque cible: ordretrace

Entrez une option de disposition d'objets [Dessus/dEssous/AVant/ARrière]

: AR

Commande: CALAR Commande inconnue "CALAR". Appuyez sur F1 pour obtenir de

l'aide.

Commande:

 

Peut-être d'autres personnes ici vont tester, .... P't'être un problème chez moi,...

 

Merci encore, ...

Civil 3D 2023 - COVADIS_18.0a

https://www.linkedin...3%ABt-95313341/

Lien vers le commentaire
Partager sur d’autres sites

Créer un compte ou se connecter pour commenter

Vous devez être membre afin de pouvoir déposer un commentaire

Créer un compte

Créez un compte sur notre communauté. C’est facile !

Créer un nouveau compte

Se connecter

Vous avez déjà un compte ? Connectez-vous ici.

Connectez-vous maintenant
 Partager




×
×
  • Créer...

Information importante

Nous avons placé des cookies sur votre appareil pour aider à améliorer ce site. Vous pouvez choisir d’ajuster vos paramètres de cookie, sinon nous supposerons que vous êtes d’accord pour continuer. Politique de confidentialité